npacket.h File Reference

Deals with packets of information that form the working data objects. More...

`#include <iostream>`
`#include <memory>`
`#include <set>`
`#include "regina-core.h"`
`#include "shareableobject.h"`
`#include "packet/npacketlistener.h"`
`#include "packet/packettype.h"`
`#include "utilities/boostutils.h"`

## Classes

struct | regina::PacketInfo< packetType >
| A template that stores information about a particular type of packet. More...
class | regina::NPacket
| Represents a packet of information that may be individually edited or operated upon. More...
class | regina::NPacket::ChangeEventSpan
| An object that facilitates firing packetToBeChanged() and packetWasChanged() events. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_PACKET(class_, id)
| Defines various constants, types and virtual functions for a subclass of NPacket. More...

## Detailed Description

Deals with packets of information that form the working data objects.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).